<script>
	import UserMenu from "./components/UserMenu.svelte";

    export let name;
	import { onMount } from "svelte";
	import { fromDate } from "./stores";
	import Booking from "./routes/Booking.svelte";
	import Login from "./components/Login.svelte";
    import {loggedIn} from "./stores";
    import routes from "./routes";
	import Router from 'svelte-spa-router';
    import CarTable from "./components/CarTable.svelte";

	// const apiURL = 'http://localhost:8080/api/v1/customers/';
	// let data = [];
	//
	// onMount(async () => {
	// 	const response = await fetch(apiURL);
	// 	data = await response.json();
	//  });
</script>
<!--<Router routes={{-->
<!--	'/': Login,-->
<!--	'/usermenu': UserMenu,-->
<!--	'/booking': Booking-->
<!--}} />-->
<!--<main>-->
<!--	<Login/>-->


<!--	<Booking/>-->

<!--</main>-->
{#if $loggedIn}
    <UserMenu/>
{:else}
    <Login/>
{/if}
<style>
	main {
		text-align: center;
		padding: 1em;
		max-width: 240px;
		margin: 0 auto;
	}

	h1 {
		color: #ff3e00;
		text-transform: uppercase;
		font-size: 4em;
		font-weight: 100;
	}

	@media (min-width: 640px) {
		main {
			max-width: none;
		}
	}
</style>